<?php
	$wpdb =& $GLOBALS['wpdb'];
	if (isset($_POST['del_rev_posts'])){
		//echo('del_rev_posts');
		$sql1 = "delete t1.* from ".$wpdb->prefix."posts t1 JOIN ".$wpdb->prefix."posts t2
				on (t1.post_parent = t2.id and t2.post_type like 'post')
				where (t1.post_type like 'revision')";
		$wpdb->query($sql1);	
	}
	if (isset($_POST['del_rev_pages'])){
		//echo('del_rev_pages');
		$sql2 = "delete t1.* from ".$wpdb->prefix."posts t1 JOIN ".$wpdb->prefix."posts t2
				on (t1.post_parent = t2.id and t2.post_type like 'page')
				where (t1.post_type like 'revision')";
		$wpdb->query($sql2);		
	}
	
	if (isset($_POST['del_spam'])){
		//echo('del_spam');	
		$SQL3 = "DELETE FROM ".$wpdb->prefix."comments WHERE `comment_approved` like 'spam'";
		$wpdb->query($SQL3);
	}
		
	function getSpamNr($wpdb){
		$SQL = "SELECT count(comment_ID) as nr_spam FROM ".$wpdb->prefix."comments WHERE `comment_approved` like 'spam'";
		$nr_spam = $wpdb->get_var($SQL);	
		if ($nr_spam=="") $nr_spam =0;
		return $nr_spam;
	}
	function getPostRevNr($wpdb){
		$SQL = "select COUNT(t1.id) as nr_postRev from ".$wpdb->prefix."posts as t1 JOIN ".$wpdb->prefix."posts as t2
				on (t1.post_parent = t2.id and t2.post_type like 'post')
				where (t1.post_type like 'revision')
				group by t1.post_type";
		$nr_postRev = $wpdb->get_var($SQL);	
		if ($nr_postRev=="") $nr_postRev =0;
		return $nr_postRev; 
	}
	
	function getPageRevNr($wpdb){
		$SQL = "select COUNT(t1.id) as nr_pageRev from ".$wpdb->prefix."posts as t1 JOIN ".$wpdb->prefix."posts as t2
				on (t1.post_parent = t2.id and t2.post_type like 'page')
				where (t1.post_type like 'revision')
				group by t1.post_type";
		$nr_pageRev = $wpdb->get_var($SQL);	
		if ($nr_pageRev=="") $nr_pageRev =0;
		return $nr_pageRev; 
	}
?>
<form method="post" action="">
<table width="500" border="0" cellspacing="0" cellpadding="0" class="widefat fixed">
  <thead>
  <tr>
  	<th colspan="4">
    	<div id="#nisi_header1"><strong>Cleanup Wordpress</strong></div>    </th>
  </tr>
  </thead>
  <tr class="alternate">
    <td width="144">Delete revisions for</td>
    <td width="356">&nbsp;</td>
    <td width="356">&nbsp;</td>
    <td width="356">&nbsp;</td>
  </tr>
  <tr>
    <td><ul>
      <li> posts (<?PHP echo(getPostRevNr($wpdb)); ?>)</li>
    </ul></td>
    <td><label>
      <input type="submit" name="del_rev_posts" id="del_rev_posts" value="Delete" class="button">
    </label></td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td><ul>
      <li> pages (<?PHP echo(getPageRevNr($wpdb)); ?>)</li>
    </ul></td>
    <td><label>
      <input type="submit" name="del_rev_pages" id="del_rev_pages" value="Delete" class="button">
    </label></td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr class="alternate">
    <td>Delete comments</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td><ul>
      <li> spam (<?PHP echo(getSpamNr($wpdb)); ?>)</li>
    </ul></td>
    <td><label>
      <input type="submit" name="del_spam" id="button" value="Delete" class="button">
    </label></td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
</table>
</form>

